Subject: [bug#39882] [PATCH 0/1] Add kexec-tools.

From: Christopher Marusich <[email-masked]>
Date: Tue, 03 Mar 2020 05:08:23 -0800

Hi Tobias,

Sounds good.  I've gone ahead and committed this in commit
dedbdacf275cb7871c7336bd7a27ceb609b15113 with a few little changes, per
your suggestions.

Tobias Geerinckx-Rice <[email-masked]> writes:

> I was also surprised, having installed kexec-tools on Guix before ;-)
>
> Turns out I never upstreamed it.  There are probably 5 other
> kexec-tools patches somewhere.  Oh well.

Glad to know I wasn't missing something :-)

> Your patch looks good to me.  I prefer the home page below over a
> directory listing.  Feel free to crib what you like.
>
> Your synopsis/description imply that it's boot-Linux-only.  I don't
> think that's the case, but haven't tried others in practice.

You're probably right.  I've removed the Linux-specific wording.

> +     (origin
> +       (method url-fetch)
> +       (uri (string-append
> "mirror://kernel.org/pub/linux/utils/kernel/kexec/"
> +                           "kexec-tools-" version ".tar.xz"))

I didn't know we had mirror config for kernel.org.  I've switched to
using that in the latest patch.

> +       (sha256
> +        (base32
> "0ra8ph9m1dckqaikfnbsh408fp2w9k49fkl425fl2hvhwsm14xk6"))))
> +    (build-system gnu-build-system)
> +    (home-page "https://projects.horms.net/projects/kexec/")

Yes, this home page is better.  I'll use it!

> +    (synopsis "Linux tools to directly execute different kernels")

I've changed my synopsis to be more like yours.

-- 
Chris